- API-Referenz
- App
- Get the missing requirements of an appInstallation for a specific target app version
Get the missing requirements of an appInstallation for a specific target app version
Request
- appInstallationIdstringrequired
- targetAppVersionIDstring (uuid)required
Responses
The missing dependencies of the AppInstallation for the target AppVersion.
- missingSystemSoftwareDependenciesArray von object
- Array[
A SystemSoftwareDependency is a description of a need for a specific SystemSoftware in a semver versionRange.
- *object
A SystemSoftwareDependency is a description of a need for a specific SystemSoftware in a semver versionRange.
- systemSoftwareIdstring (uuid)required
- versionRangestringrequired
]
- missingUserInputsArray von object
- Array[
A UserInput is a description of an information which cannot be determined or estimated by mittwald, but has to be given by the person who is requesting an AppInstallation or SystemSoftware.
- *object
A UserInput is a description of an information which cannot be determined or estimated by mittwald, but has to be given by the person who is requesting an AppInstallation or SystemSoftware.
- additionalValidationSchemaobject
AdditionalValidationSchema is a stringified custom validation schema, e.g password rules.
- kind"password-rule"
AdditionalValidationSchemaKind is an enum, describing the possible types of an additional validation schema.
- schemastring
- dataSourcestring
Optional field to tell the frontend, which data to put into the select.
- dataTypestring (einer von: text, number, boolean, select)required
UserInputDataType is an enum, describing the possible data types of a UserInput.
- defaultValuestring
- formatstring (einer von: email, password, url, uri)
UserInputFormat is an enum, describing the possible data formats of a UserInput, the given values can be validated against.
- lifecycleConstraintstring (einer von: installation, update, reconfigure)required
The AppInstallationLifecycle can be used to express a specific point in the AppInstallation Lifecycle, e.g. while installing a new AppInstallation.
- namestringrequired
- positionMetaobject
UserInputPositionMeta is a utility information, helping to position the UserInput properly on the frontend.
- indexinteger
- sectionstring
- stepstring
- requiredbooleanrequired
- validationSchemastringrequired
JSON Schema formatted (https://json-schema.org/).
]
Content-Type: application/json
{
"missingSystemSoftwareDependencies": [
{
"systemSoftwareId": "f0f86186-0a5a-45b2-aa33-502777496347",
"versionRange": "string"
}
],
"missingUserInputs": [
{
"additionalValidationSchema": {
"kind": "password-rule",
"schema": "string"
},
"dataSource": "string",
"dataType": "text",
"defaultValue": "string",
"format": "email",
"lifecycleConstraint": "installation",
"name": "string",
"positionMeta": {
"index": 123,
"section": "string",
"step": "string"
},
"required": true,
"validationSchema": "string"
}
]
}
{
"properties": {
"missingSystemSoftwareDependencies": {
"items": {
"description": "A SystemSoftwareDependency is a description of a need for a specific SystemSoftware in a semver versionRange.",
"properties": {
"systemSoftwareId": {
"format": "uuid",
"type": "string"
},
"versionRange": {
"type": "string"
}
},
"required": [
"systemSoftwareId",
"versionRange"
],
"type": "object"
},
"type": "array"
},
"missingUserInputs": {
"items": {
"description": "A UserInput is a description of an information which cannot be determined or estimated by mittwald, but has to be given by the person who is requesting an AppInstallation or SystemSoftware.",
"properties": {
"additionalValidationSchema": {
"description": "AdditionalValidationSchema is a stringified custom validation schema, e.g password rules.",
"properties": {
"kind": {
"description": "AdditionalValidationSchemaKind is an enum, describing the possible types of an additional validation schema.",
"enum": [
"password-rule"
],
"type": "string"
},
"schema": {
"type": "string"
}
},
"type": "object"
},
"dataSource": {
"description": "Optional field to tell the frontend, which data to put into the select.",
"type": "string"
},
"dataType": {
"description": "UserInputDataType is an enum, describing the possible data types of a UserInput.",
"enum": [
"text",
"number",
"boolean",
"select"
],
"type": "string"
},
"defaultValue": {
"type": "string"
},
"format": {
"description": "UserInputFormat is an enum, describing the possible data formats of a UserInput, the given values can be validated against.",
"enum": [
"email",
"password",
"url",
"uri"
],
"type": "string"
},
"lifecycleConstraint": {
"description": "The AppInstallationLifecycle can be used to express a specific point in the AppInstallation Lifecycle, e.g. while installing a new AppInstallation.",
"enum": [
"installation",
"update",
"reconfigure"
],
"type": "string"
},
"name": {
"type": "string"
},
"positionMeta": {
"description": "UserInputPositionMeta is a utility information, helping to position the UserInput properly on the frontend.",
"properties": {
"index": {
"type": "integer"
},
"section": {
"type": "string"
},
"step": {
"type": "string"
}
},
"type": "object"
},
"required": {
"type": "boolean"
},
"validationSchema": {
"description": "JSON Schema formatted (https://json-schema.org/).",
"type": "string"
}
},
"required": [
"name",
"dataType",
"validationSchema",
"lifecycleConstraint",
"required"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
}
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/app-installations/string/missing-dependencies?targetAppVersionID=f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.getMissingDependenciesForAppinstallation({
"appInstallationId": "string",
"queryParameters": {
"targetAppVersionID": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\App\GetMissingDependenciesForAppinstallation\GetMissingDependenciesForAppinstallationRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new GetMissingDependenciesForAppinstallationRequest(
appInstallationId: "string"
))
->withTargetAppVersionID("f0f86186-0a5a-45b2-aa33-502777496347");
$response = $client->app()->getMissingDependenciesForAppinstallation($request);
var_dump($response->getBody();